 Rem	*********************************************************************
Rem	The Standby Wizard For Unix, Linux, and Windows 2000/XP
Rem
Rem	Copyright Relational Database Consultants, Inc.  
Rem	All Rights Reserved.
Rem	Refer To: License_Agreement.txt
Rem
Rem	rdc_standby_install.sql
Rem
Rem	Installation script - to be run from SQL*Plus.
Rem	*********************************************************************
Rem
Rem	Note: If you are not using Net8 Or SQL*Net, you will need to remove the string "@&ServiceName" -
Rem	located at the end of the two "connect" commands within this script. 

Set Echo Off
Set linesize 80

Undefine WizardPassword
Undefine SystemPassword
Undefine ServiceName
Undefine WizardTablespace
Undefine WizardTempSpace

Prompt Welcome to the Standby Wizard Installation.  
Prompt This installation script will delete the Standby Wizard account and then rebuild it.
Prompt If you would like to quit this script now, Hit <Ctrl>-C.
Prompt You will be asked for the current SYSTEM password.
Prompt The value of this password will not be stored and will be Undefined immediately.
Prompt 
Prompt

Prompt Enter the password for the Oracle user account SYSTEM:
Accept SystemPassword

Prompt Enter the SQL*Net service_name used to connect to this database:
Accept ServiceName

Prompt Enter a password over 6 characters for the Standby Wizard account RDC_STANDBY_USER:
Accept WizardPassword

Prompt Enter the default tablespace for the Standby Wizard user (optional):
Accept WizardTablespace

Prompt Enter the default temp tablespace for the Standby Wizard user (optional):
Accept WizardTempSpace

Connect System/&SystemPassword@&ServiceName

Undefine SystemPassword

Spool rdc_standby_install.log

Prompt Dropping previous created account...

Drop User RDC_Standby_User Cascade
/

/* ORACLE_SCRIPT for Oracle 12c only. Ignore Error for 10g and 11g databases */
Alter Session Set "_ORACLE_SCRIPT"=true; 

Create User RDC_Standby_User Identified by &&WizardPassword
/

Alter User RDC_Standby_User Default Tablespace &WizardTablespace
/

Alter User RDC_Standby_User Temporary Tablespace &WizardTempSpace
/



Grant 
Connect, 
Resource,
Execute_Catalog_Role,
Select_Catalog_Role,
Create Database Link,
Select Any Table,
Manage Tablespace,
Alter Database,
Alter System,
Administer Database Trigger,
Execute Any Procedure,
JavaSysPriv
To RDC_Standby_User
/

Grant Unlimited Tablespace to RDC_Standby_User
/

Grant Select Any Dictionary To RDC_Standby_User
/

Grant Create View to RDC_Standby_User
/

Grant Inherit Privileges On User SYS to RDC_Standby_User
/

Grant Unlimited Tablespace to RDC_Standby_User
/


Prompt Connecting as the Standby Wizard...

Connect RDC_Standby_User/&&WizardPassword@&ServiceName

Undefine ServiceName
Undefine WizardTablespace
Undefine WizardTempSpace

Set Echo 				On
Set Timing 				On
Set ServerOutput		On

start rdc_standby.tab

Prompt Compiling Standby Wizard Package Headers...

start rdc_core.pkg
sho err
start rdc_java.pkg
sho err
start rdc_standby_os.pkg
sho err
start rdc_standby_util.pkg
sho err
start rdc_primary_agent.pkg
sho err
start rdc_standby_build.pkg
sho err
start rdc_standby_jdbc.pkg
sho err

start standby_status.view

start rdc_standby_compile

start standby_database_status.view

Prompt Setting initial license information...
Exec RDC_Standby_Util.SetLicense;
Exec RDC_Standby_Util.UpdatePassword('&WizardPassword');

Undefine WizardPassword

Select 
Decode
(	
Count(*),
1,
'*** Standby Wizard Database Installation successful ***',
'*** Database Installation failed, check rdc_standby_install.log for errors ***'
) Installation_Status
From RDC_Standby_User.RDC_Standby_License
/

Set Echo Off

Set Timing Off

Spool Off

Prompt Hit any Key to Continue...
Pause

